//Header file for Control window, written by Zenja Solaja July 2000

#ifndef __ZBFGControl
#define __ZBFGControl

#define TEXT_SEARCH_STRING_MSG	'tssm'
#define BUTTON_BEGIN_SEARCH_MSG	'bbgm'
#define SELECT_DIR_MSG			'bsdm'
#define DIRECTORY_CHOSEN_MSG	'dcsm'
#define OPEN_FILE_MSG			'opfm'
#define SUBDIRECTORY_CHKBOX_MSG	'sdcm'
#define LIMIT_FILE_SCOPE_MSG	'lfsm'
#define FILE_SCOPE_TEXT_MSG		'fstm'
#define IGNORE_CASE_CHKBOX_MSG	'iccm'
#define SEARCH_FINISHED_MSG		'halt'

#define DIR_HISTORY_IDX		'dhm0'
#define DIR_HISTORY_IDX_1	(DIR_HISTORY_IDX + 1)
#define DIR_HISTORY_IDX_2	(DIR_HISTORY_IDX + 2)
#define DIR_HISTORY_IDX_3	(DIR_HISTORY_IDX + 3)
#define DIR_HISTORY_IDX_4	(DIR_HISTORY_IDX + 4)
#define DIR_HISTORY_IDX_5	(DIR_HISTORY_IDX + 5)
#define DIR_HISTORY_IDX_6	(DIR_HISTORY_IDX + 6)
#define MAX_NUM_DIR_HISTORY	7

//====================
//	Class definitions
//====================
class ZViewControl : public BView {
	public:
		ZViewControl(BRect frame, char *name);
};

class ZWindowControl : public BWindow {
	public:
				ZWindowControl(BRect frame);
		virtual	bool QuitRequested();
		void MessageReceived(BMessage* message);
	private:
		void 			PrepareDirHistoryMenu(BRect menuRect);
		void 			ProcessHistoryRequest(BMessage *message);
		void			UpdateDirHistory(const char *newlabel);
		
		ZViewControl	*fZViewControl;
		BTextControl	*fTextSearchString;
		BButton			*fButtonBegin;
		BTextControl	*fSelectDirText;
		BButton			*fSelectDirButton;
		BCheckBox		*fSubDirectoryCheckBox;
		BCheckBox		*fIgnoreCaseCheckBox;
		BCheckBox		*fLimitFileScopeCheckBox;
		BTextControl	*fFileScopeText;
		BMenu			*fDirHistory;
		BMenu			*fDirHistoryMenu;
};

#endif //ZBFGControl
